Package tigase.xmpp.impl.roster

# Enum Class RosterAbstract.PresenceType

java.lang.Object
java.lang.Enum<RosterAbstract.PresenceType>
tigase.xmpp.impl.roster.RosterAbstract.PresenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<RosterAbstract.PresenceType>`, `Constable`

Enclosing class:
  RosterAbstract

public static enum RosterAbstract.PresenceType extends Enum<RosterAbstract.PresenceType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `error`
  `in_initial`
  `in_probe`
  `in_subscribe`
  `in_subscribed`
  `in_unsubscribe`
  `in_unsubscribed`
  `out_initial`
  `out_probe`
  `out_subscribe`
  `out_subscribed`
  `out_unsubscribe`
  `out_unsubscribed`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RosterAbstract.PresenceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RosterAbstract.PresenceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### out_initial

    public static final RosterAbstract.PresenceType out_initial

  - ### out_subscribe

    public static final RosterAbstract.PresenceType out_subscribe

  - ### out_unsubscribe

    public static final RosterAbstract.PresenceType out_unsubscribe

  - ### out_subscribed

    public static final RosterAbstract.PresenceType out_subscribed

  - ### out_unsubscribed

    public static final RosterAbstract.PresenceType out_unsubscribed

  - ### out_probe

    public static final RosterAbstract.PresenceType out_probe

  - ### in_initial

    public static final RosterAbstract.PresenceType in_initial

  - ### in_subscribe

    public static final RosterAbstract.PresenceType in_subscribe

  - ### in_unsubscribe

    public static final RosterAbstract.PresenceType in_unsubscribe

  - ### in_subscribed

    public static final RosterAbstract.PresenceType in_subscribed

  - ### in_unsubscribed

    public static final RosterAbstract.PresenceType in_unsubscribed

  - ### in_probe

    public static final RosterAbstract.PresenceType in_probe

  - ### error

    public static final RosterAbstract.PresenceType error

- ## Method Details

  - ### values

    public static RosterAbstract.PresenceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RosterAbstract.PresenceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null